package org.lsis.bruno.inf21.rmi.params;

import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;
import java.rmi.server.UnicastRemoteObject;

public class OrderServer {
	public static void main(String args[]) {
		if (System.getSecurityManager() == null) {
			System.setSecurityManager(new java.rmi.RMISecurityManager());
		}
				
		OrderImpl obj;
		try {
			obj = new OrderImpl();
			Order oStub = (Order) UnicastRemoteObject.exportObject(obj,0);
			Registry registry = LocateRegistry.getRegistry();
			registry.rebind("OrderObject", oStub);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}