package org.lsis.bruno.inf21.rmi.hello.personne;

import java.rmi.RemoteException;
import java.rmi.server.Unreferenced;

public class PersonImpl implements Person, Unreferenced {
	private String lastName, firstName, nickName="no nickname";

	public PersonImpl(String lastName, String firstName) {
		super();
		this.lastName = lastName;
		this.firstName = firstName;
	}

	@Override
	public String getFirstname()  {
		return firstName;
	}

	@Override
	public String getLastname()  {
		return lastName;
	}

	@Override
	public void unreferenced() {
	}

	@Override
	public String getNickname()  {
		return nickName;
	}

	@Override
	public void setNickname(String nickname)  {
		this.nickName = nickname;
	}

	@Override
	public String toString() {
		return firstName+ " "+lastName+" ("+nickName+")["+super.toString()+"]";
	}

}
